Package ghidra.app.util.viewer.field

# Class VariableCommentFieldMouseHandler

java.lang.Object
ghidra.app.util.viewer.field.CommentFieldMouseHandler
ghidra.app.util.viewer.field.VariableCommentFieldMouseHandler

All Implemented Interfaces:
  `FieldMouseHandler`, `FieldMouseHandlerExtension`, `ExtensionPoint`

public class VariableCommentFieldMouseHandler extends CommentFieldMouseHandler

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VariableCommentFieldMouseHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `fieldElementClicked(Object clickedObject, Navigatable sourceNavigatable, ProgramLocation location, MouseEvent mouseEvent, ServiceProvider serviceProvider)`
  Called when a field `Field` has been clicked.
  `protected String[]`
  `getComment(ProgramLocation programLocation)`
  `protected int`
  `getCommentColumn(ProgramLocation programLocation)`
  `protected int`
  `getCommentRow(ProgramLocation programLocation)`
  `Class<?>[]`
  `getSupportedProgramLocations()`
  Returns an array of types that this handler wishes to handle.

  ### Methods inherited from class ghidra.app.util.viewer.field.CommentFieldMouseHandler

  `checkWord`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VariableCommentFieldMouseHandler

    public VariableCommentFieldMouseHandler()

- ## Method Details

  - ### fieldElementClicked

    public boolean fieldElementClicked(Object clickedObject, Navigatable sourceNavigatable, ProgramLocation location, MouseEvent mouseEvent, ServiceProvider serviceProvider)
    Description copied from interface: `FieldMouseHandler`
    Called when a field `Field` has been clicked. The object being passed in may be of any type, as returned by the clicked field. The type is guaranteed to be one of the types returned in the call to `FieldMouseHandler.getSupportedProgramLocations()`.
    Specified by:
      `fieldElementClicked` in interface `FieldMouseHandler`
    Overrides:
      `fieldElementClicked` in class `CommentFieldMouseHandler`
    Parameters:
      `clickedObject` - The object that was clicked
      `sourceNavigatable` - The source navigatable that was clicked upon.
      `location` - The location at the time the click was made. Due to swing delay, this location may not be the same as you would get if you asked the navigatable for the current location.SC
      `mouseEvent` - The mouse event that triggered the click
      `serviceProvider` - A service provider used to access system resources.
    Returns:
      true if this handler wishes to have exclusive handling rights to processing the `clickedObject`
    See Also:
      - `ListingField.getClickedObject(docking.widgets.fieldpanel.support.FieldLocation)`

  - ### getCommentRow

    protected int getCommentRow(ProgramLocation programLocation)
    Overrides:
      `getCommentRow` in class `CommentFieldMouseHandler`

  - ### getCommentColumn

    protected int getCommentColumn(ProgramLocation programLocation)
    Overrides:
      `getCommentColumn` in class `CommentFieldMouseHandler`

  - ### getComment

    protected String[] getComment(ProgramLocation programLocation)
    Overrides:
      `getComment` in class `CommentFieldMouseHandler`

  - ### getSupportedProgramLocations

    public Class<?>[] getSupportedProgramLocations()
    Description copied from interface: `FieldMouseHandler`
    Returns an array of types that this handler wishes to handle.
    Specified by:
      `getSupportedProgramLocations` in interface `FieldMouseHandler`
    Overrides:
      `getSupportedProgramLocations` in class `CommentFieldMouseHandler`
    Returns:
      an array of types that this handler wishes to handle.